package com.auto.clicker.autoclicker.data;

import android.view.View;
import android.view.WindowManager;
import android.widget.TextView;

public class PointEvent extends Event {
    private int x;
    private int y;
    private TextView view; // 悬浮窗上的控件
    private WindowManager.LayoutParams layoutParams;

    public PointEvent(int id, int x, int y, TextView view, WindowManager.LayoutParams layoutParams) {
        super(id);
        this.x = x;
        this.y = y;
        this.view = view;
        this.layoutParams = layoutParams;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public View getView() {
        return view;
    }

    public void setView(TextView view) {
        this.view = view;
    }

    public WindowManager.LayoutParams getLayoutParams() {
        return layoutParams;
    }

    public void setLayoutParams(WindowManager.LayoutParams layoutParams) {
        this.layoutParams = layoutParams;
    }
}
